import Vue from 'vue'
import VueRouter from 'vue-router'
import Index from '../views/Index.vue'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'Index',
    component: Index
  },
  {
    path: '/mentions/',
    name: 'Mentions',
    // route level code-splitting
    // this generates a separate chunk (login.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import(/* webpackChunkName: "login" */ '../views/flatpages/with_right_menu.vue')
  },
  {
    path: '/aide/',
    name: 'Aide',
    component: () => import('../views/flatpages/Default.vue')
  },
  {
    path: '/connexion/',
    name: 'Login',
    component: () => import('../views/registration/Login.vue')
  },
  {
    path: '/projet/:slug',
    name: 'Project_detail',
    props: true,
    component: () => import('../views/project/Project_detail.vue')
  },
  {
    path: '/project_create/',
    name: 'Project_create',
    props: true,
    component: () => import('../views/project/Project_create.vue')
  },
]

const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
